Bug 896516 - 3.1.z - [vdsm] Failure upgrading a storage domain to V3 - No space left on device
3.1.z - [vdsm] Failure upgrading a storage domain to V3 - No space left on de...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: 6.3
Assigned To: Allon Mureinik
Dafna Ron
storage
: ZStream
Depends On: 882276 884314
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 08:32 EST by Chris Pelland
Modified: 2013-02-14 23:51 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-1.2.el6
Doc Type: Bug Fix
Doc Text:
Upgrading storage domains to V3 would sometimes fail with the error "No space left on device" as a result of running out of metadata slots. VDSM has been updated to reallocate existing metadata slots, where available, to avoid this error.
Story Points: ---
Clone Of: 884314
Environment:
Last Closed: 2013-02-12 08:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 Dafna Ron 2013-01-31 10:53:07 EST
tested with vdsm-4.9-106.el6.x86_64 -> vdsm-4.10.2-1.2.el6

before the upgrade: 

[root@cougar01 old]# lvs -o +tags | sed -n 's/.*MD_\([0-9]\+\).*/\1/p' | sort -n | tail
6144
6656
6656
6656
6656
7168
7168
7168
7168
7680


after upgrade: 

[root@cougar01 vdsm]# lvs -o +tags | sed -n 's/.*MD_\([0-9]\+\).*/\1/p' | sort -n | tail
12
13
13
13
13
14
14
14
14
15

we had some exception on zombie tasks in engine side - not related to this issue. 

bug is verified for 3.1.3

Note You need to log in before you can comment on or make changes to this bug.